//
// Created by Bram on 20/12/2024.
//

#ifndef GP1_DIRECTX_FIREEFFECT_H
#define GP1_DIRECTX_FIREEFFECT_H


#include "BaseEffect.h"

class FireEffect: public BaseEffect {
public:
    FireEffect(ID3D11Device *devicePtr, const std::wstring &filePath);

    virtual ~FireEffect() override;

    void SetMaterial(Material *material) override;

private:
    ID3DX11EffectShaderResourceVariable *m_DiffuseMapVariablePtr{};
};


#endif //GP1_DIRECTX_FIREEFFECT_H
